tree< T, tree_node_allocator >::sibling_iterator Class Reference

Iterator which traverses only the nodes which are siblings of each other. More...

Inheritance diagram for tree< T, tree_node_allocator >::sibling_iterator:

## Public Member Functions

| sibling_iterator (tree_node *)
| sibling_iterator (const sibling_iterator &)
| sibling_iterator (const iterator_base &)
bool | operator== (const sibling_iterator &) const
bool | operator!= (const sibling_iterator &) const
sibling_iterator & | operator++ ()
sibling_iterator & | operator-- ()
sibling_iterator | operator++ (int)
sibling_iterator | operator-- (int)
sibling_iterator & | operator+= (unsigned int)
sibling_iterator & | operator-= (unsigned int)
tree_node * | range_first () const
tree_node * | range_last () const
| sibling_iterator (tree_node *)
| sibling_iterator (const sibling_iterator &)
| sibling_iterator (const iterator_base &)
bool | operator== (const sibling_iterator &) const
bool | operator!= (const sibling_iterator &) const
sibling_iterator & | operator++ ()
sibling_iterator & | operator-- ()
sibling_iterator | operator++ (int)
sibling_iterator | operator-- (int)
sibling_iterator & | operator+= (unsigned int)
sibling_iterator & | operator-= (unsigned int)
tree_node * | range_first () const
tree_node * | range_last () const
Public Member Functions inherited from tree< T, tree_node_allocator >::iterator_base
| iterator_base (tree_node *)
T & | operator* () const
T * | operator-> () const
void | skip_children ()
| When called, the next increment/decrement skips children of this node.
unsigned int | number_of_children () const
| Number of children of the node pointed to by the iterator.
sibling_iterator | begin () const
sibling_iterator | end () const
| iterator_base (tree_node *)
T & | operator* () const
T * | operator-> () const
void | skip_children ()
| When called, the next increment/decrement skips children of this node.
unsigned int | number_of_children () const
| Number of children of the node pointed to by the iterator.
sibling_iterator | begin () const
sibling_iterator | end () const

## Data Fields

tree_node * | parent_
Data Fields inherited from tree< T, tree_node_allocator >::iterator_base
tree_node * | node

## Additional Inherited Members

Public Types inherited from tree< T, tree_node_allocator >::iterator_base
typedef T | value_type
typedef T * | pointer
typedef T & | reference
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category
typedef T | value_type
typedef T * | pointer
typedef T & | reference
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef std::bidirectional_iterator_tag | iterator_category
Protected Attributes inherited from tree< T, tree_node_allocator >::iterator_base
bool | skip_current_children_

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::sibling_iterator

Iterator which traverses only the nodes which are siblings of each other.

Definition at line 230 of file build/libofx-0.10.0/lib/tree.hh.

The documentation for this class was generated from the following file:

- build/libofx-0.10.0/lib/tree.hh